import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ListOriginEndpointsRequest,
  ListOriginEndpointsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListOriginEndpointsCommandInput
  extends ListOriginEndpointsRequest {}
export interface ListOriginEndpointsCommandOutput
  extends ListOriginEndpointsResponse,
    __MetadataBearer {}
export declare class ListOriginEndpointsCommand extends $Command<
  ListOriginEndpointsCommandInput,
  ListOriginEndpointsCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: ListOriginEndpointsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListOriginEndpointsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListOriginEndpointsCommandInput, ListOriginEndpointsCommandOutput>;
  private serialize;
  private deserialize;
}
